target=hw
link=1
#to_step=vpl.generate_target
[advanced]
#param=compiler.userPreSysLinkTcl=<full path name>/pre_sys_link.tcl
[connectivity]
# Following line deals with number of kernel instances, UG1393 (v2021.1) July 19, 2021
# nk= <kernel name>:<nuber of instances>:<Instance name>
nk=pss:1:perentie0

# perentie0/clk_gt_freerun is the port name in vitisaccelcore.vhd, 
# shell port names can be found by exploring the platform files in /opt/xilinx/platforms/<card>/hw.xsa
# xsa is a zip archive, you can rename to hw.zip and extract, then explore the design of the shell.

# for U55C the port names for GT to 100G are
# io_gt_qsfp0_00
# io_gt_qsfp1_00
# io_clk_qsfp0_refclka_00
# io_clk_qsfp1_refclka_00
# free run ref 100 MHz
connect=ii_level0_wire/ulp_m_aclk_freerun_ref_00:perentie0/clk_freerun
# GT mappings.
connect=io_clk_qsfp0_refclka_00_clk_p:perentie0/gt_refclk_p
connect=io_clk_qsfp0_refclka_00_clk_n:perentie0/gt_refclk_n
connect=perentie0/gt_rxp_in:io_gt_qsfp0_00_grx_p
connect=perentie0/gt_rxn_in:io_gt_qsfp0_00_grx_n
connect=perentie0/gt_txp_out:io_gt_qsfp0_00_gtx_p
connect=perentie0/gt_txn_out:io_gt_qsfp0_00_gtx_n

sp=perentie0.sharedAddr:PLRAM[0]

# U55 mappings based on 512MB per HBM segment.
# each HBM interface is 512 MBytes, so 2 are required for 1 Gbyte of memory.
# for U50 this is                   alveo2gemini -h"1Gs 256Mi 256Mi 256Mi 256Mi"
# for U55 this is expected to be    alveo2gemini -h"2Gi 1Gi 2Gi 1Gi"

# HBM mappings per PSS pipeline
# Pipe 1
# First stage corner turn, 2 GByte
sp=perentie0.M01Addr:HBM[0:3]
# Second stage corner turn, 1 GByte 
sp=perentie0.M02Addr:HBM[8:9]

# Pipe 2
# First stage corner turn, 2 GByte
sp=perentie0.M03Addr:HBM[16:19]
# Second stage corner turn, 1 GByte 
sp=perentie0.M04Addr:HBM[24:25]

# Pipe 3
# First stage corner turn, 1 GByte
# sp=perentie0.M05Addr:HBM[8:9]
# Second stage corner turn, 1 GByte 
# sp=perentie0.M06Addr:HBM[10:11]

# U50 mappings based on 256MB per HBM segment.
# each HBM interface is 256 MBytes, so 4 are required for 1 Gbyte of memory.
#sp=perentie0.M01Addr:HBM[0:3]
# Second stage corner turn uses 4 separate interfaces.
#sp=perentie0.M02Addr:HBM[4]
#sp=perentie0.M03Addr:HBM[5]
#sp=perentie0.M04Addr:HBM[6]
#sp=perentie0.M05Addr:HBM[7]

# Set based on number of threads/CPU cores.
[vivado]
synth.jobs=24

# update this to match your system capabilities.. Version 2021.2 option
# useful for mitigating SLR crossing timing errors
impl.jobs=3
#impl.strategies=Performance_BalanceSLLs,Performance_Auto_1,Performance_ExtraTimingOpt,Performance_NetDelay_high,Performance_Auto_2,Performance_ExplorePostRoutePhysOpt,Performance_BalanceSLRs
#impl.strategies=Performance_Auto_1,Performance_Auto_2,Performance_BalanceSLRs,Performance_BalanceSLLs,Performance_ExtraTimingOpt,Performance_NetDelay_high,Performance_ExplorePostRoutePhysOpt

impl.strategies=Performance_Auto_1,Performance_Auto_2,Performance_Retiming,Performance_ExtraTimingOpt,Performance_NetDelay_high

prop=run.impl_Performance_Auto_1.STEPS.POST_ROUTE_PHYS_OPT_DESIGN.IS_ENABLED=true
prop=run.impl_Performance_Auto_1.STEPS.POST_ROUTE_PHYS_OPT_DESIGN.ARGS.DIRECTIVE=Explore

prop=run.impl_Performance_Auto_2.STEPS.POST_ROUTE_PHYS_OPT_DESIGN.IS_ENABLED=true
prop=run.impl_Performance_Auto_2.STEPS.POST_ROUTE_PHYS_OPT_DESIGN.ARGS.DIRECTIVE=Explore

prop=run.impl_Performance_Retiming.STEPS.POST_ROUTE_PHYS_OPT_DESIGN.IS_ENABLED=true
prop=run.impl_Performance_Retiming.STEPS.POST_ROUTE_PHYS_OPT_DESIGN.ARGS.DIRECTIVE=Explore

prop=run.impl_Performance_ExtraTimingOpt.STEPS.POST_ROUTE_PHYS_OPT_DESIGN.IS_ENABLED=true
prop=run.impl_Performance_ExtraTimingOpt.STEPS.POST_ROUTE_PHYS_OPT_DESIGN.ARGS.DIRECTIVE=Explore

prop=run.impl_Performance_NetDelay_high.STEPS.POST_ROUTE_PHYS_OPT_DESIGN.IS_ENABLED=true
prop=run.impl_Performance_NetDelay_high.STEPS.POST_ROUTE_PHYS_OPT_DESIGN.ARGS.DIRECTIVE=Explore

[advanced]
param=compiler.multiStrategiesWaitOnAllRuns=0